
*{
    
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

:root{
    --blue:rgb(113, 177, 255);
    --black: #000;
    --blue-ligt: #15abc1;
    --white: #eaeaea;
    --title: 35px;
    --text: 19px;
}


body{

    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    background-color: #2b2a2a;
    overflow-x: hidden;
    min-height:100vh ;

  
}

main{
    display: grid;
    min-height: 100dvh;
    grid-template-rows: auto 1fr auto;
}



/*******************************************************Menu de navegacion********************************************************/

.inicio{
    width: 100%;
    position: relative;
    display: flex;
    flex-wrap: wrap;
}

.menu{
    position: fixed;
    width: 100%;
    height: 72px;
    background-color: rgba(0, 0, 0, 0.813);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 9999;
    flex-wrap: wrap;
}

.menu .logo{
    margin-left: 0px;
}

.logo > img{
    width: 160px;
    height: 70px;
}



.menu .lista-nav{
    margin-right: 20px;

}

.menu .lista-nav ul{
    display: flex;
}

.menu .lista-nav ul li{
    list-style: none;
}

.menu .lista-nav ul li a{
    text-decoration: none;
    margin: 0px 10px;
    font-size: 1em;
    color: #ffffff;
    padding: 8px;
    border-radius: 10px;
    transition: 0.3s;
    font-weight: bold;

}

.menu .lista-nav ul li a:hover{
    background-color: var(--blue-ligt);
}

.menu .lista-nav ul li a.activo{
    background-color: var(--blue-ligt);
}

/******************************************************** Imagen Header *****************************************************************/


.img-header h1{
    color: #ffffff;
    font-size: 4em;
    position:relative;
    top: 150px;
    width: 100%;
    height: 100px;
    text-shadow: 3px 3px #050f09;
    display: flex;
    justify-content: center;

}

.img-header {
    margin: 0px auto 50px;
    width: 100%;
    height: 695px;
    background: url(/assets/images/cabecera.jpg);
    background-size: cover;
    justify-content: center;
    background-repeat: no-repeat; 
    
}



.img-header .header > button:hover{
    background-color: aqua;
    
}


/**************************************************************CONTAINER 1 ********************************************/


.title > h2{
    color: rgb(255, 248, 248);
    text-shadow: 3px 2px #000000;
    font-size: 2em;
    text-align: center;
    flex-wrap: wrap;
}


.title > p{
    color: #ffffff;
    font-weight: bold;
    width: 80%;
    margin: 20px auto 0;
    text-align: center;
    line-height: 40px;
    font-size: 1.2rem; 
}

.seccion {
    box-shadow: 5px 3px 20px rgba(198, 198, 198, 0.927);
    margin: 100px auto;
    border-radius: 20px;
    width: 70%;
    justify-content: flex-end;
    display: flex;
    background: rgb(255, 255, 255);
}

.seccion > img{
    padding: 10px 10px 10px 10px;
    height: 200px;
    width: 200px;

}

.texto{
    margin: 10px;
    padding: 10px 20px 20px 0px;
}

.texto > p{
    width: 100%;
    margin: 15px auto 5px;
    color: #000000;
    font-size: 1.2em;
    
}

.btn {
    font-size: 15px;
    padding: 0.5em 2em;
    position: relative;
    top: 30px;
    border: transparent;
    box-shadow: 2px 2px 2px 4px rgba(0,0,0,0.4);
    background:rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    border-radius: 4px;
}

.btn:hover {
    background: rgb(2,0,36);
    color: #ffffff;
    background: linear-gradient(90deg, rgb(196, 196, 196) 0%, rgb(27, 27, 27) 100%);
}

.btn:active {
    transform: translate(0em, 0.2em);}


/**********************************************CONTAINER 2************************************************/


.container{
    width: 100%;
    height: max-content;
    display: flex;
    justify-content: center;
    margin: 90px auto 50px;
    flex-wrap: wrap;

}


.parent{
    margin-inline: 20px;
    width: 300px;
    height: 300px;
    overflow: hidden;
    position: relative;
    display: inline-block;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.5);
}


.child{
    width: 300px;
    height: 300px;
    transition: all 1.1s;
}

.child img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}



.parent:hover .child{
    transform: scale(1.1);
}

/**********************************************CONTAINER 3************************************************/

.container-3{
    width: 100%;
    height: max-content;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.titulo-tarjetas{
    color: rgb(255, 248, 248);
    text-shadow: 3px 2px #000000;
    font-size: 2em;
    text-align: center;
    margin: 40px auto 20px;
    flex-wrap: wrap;
}

.tarjetas{
    display: flex;
    justify-content: center;
    flex-direction: row;
    width: 100%;
    height: max-content;
    margin: auto;
}

.tarjeta{
    width: 500px;
    height: 300px;
    padding:30px;
    border-radius: 10px;
    margin: 40px;
    background: rgb(2,0,36);
    box-shadow: 2px 2px 2px 4px rgba(247, 247, 247, 0.815);
    color: #ffffff;
    background: linear-gradient(90deg, rgb(38, 38, 38) 0%, rgb(173, 173, 173) 100%);
}


.tarjeta:hover {
    background: rgb(2,0,36);
    color: #ffffff;
    background: linear-gradient(90deg, rgb(199, 199, 199) 0%, rgb(33, 33, 33) 100%);
}

.tarjeta img{
    width: 40px;
    height: 40px;
}

.tarjeta h3{

    font-size: 30px;
    margin: 20px 0px 20px 0px;
}

.tarjeta p{
    font-size: 17px;
}


/*************************************************FOOTER**************************************************/


.footer{
    background-color: rgb(0, 0, 0);
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 100px auto 0;
    height: 300px;
}

.footer h2 {
    padding: 15px;
    font-size: 30px;
    color: #f9f9f9;
    display: flex;
    justify-content: center;
}

.copy{
    display: flex;
    justify-content: center;
    color: #ffffff;
    font-weight: bold;
}

.redes{
    display: flex;
    width: max-content;
    justify-content: center;
}

.redes a{

    display: inline-block;
    min-height: 40px;
    margin-inline: 20px;
    width: 40px;
    background-color: rgba(255, 255, 255, 0.2);
    margin: 5px 20px 20px 5px;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: rgb(255, 255, 255);
    transition: all .5s ease;

}

.redes a:hover{
    background-color: #ffffff;
    color: #000;
}



.direccion > p {
    text-align: center;
    margin: 20px auto 20px;
    font-size: medium;
    text-decoration: none;
    color: rgb(255, 255, 255);
}

.direccion > p > a{
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: small;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    letter-spacing: 0.1pt;
}

/*************************************************@ medias**************************************************/


@media all and (max-width:700px){

    .logo{
        display: none;
    }

    .menu .lista li{

        margin-inline: 7px;
        display: flex;
        }

    .menu .lista-nav ul li a{
        margin: auto;
    }

    .menu .lista-nav{
        margin:auto;
    }
    

    .img-header h1 {
        position: absolute;
        margin: auto;
        top: 200px;
        text-align: center;
    }


    .seccion{
        display: flex;
        flex-direction: column;
        flex-basis: 100%;
        padding-bottom: 20px;
    }

    .texto{
        margin: auto;
        padding: 0%;
        text-align: center;
    }

    .btn{
        position: relative;
        top: 5px;
    }

    div{
        
        flex-basis: 100%;
    }

    .seccion img{
        margin: 10px auto 10px;
    }

    .container{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: max-content;
    }

    .parent{
        margin: 10px auto;
    }

    .container-3{
        display: flex;
        margin: auto;
    }

    .tarjetas{
        display: flex;
        flex-direction: column;
    }

    .tarjeta{
        width: auto;
    }

}


@media all and (max-width:600px){

    .logo{
        display: none;
    }

    .menu .lista li{

        margin-inline: 7px;
        display: flex;
        }

    .menu .lista-nav ul li a{
        margin: auto;
    }

    .menu .lista-nav{
        margin:auto;
    }
    

    .img-header h1 {
        position: absolute;
        margin: auto;
        top: 200px;
        text-align: center;
    }


    .seccion{
        display: flex;
        flex-direction: column;
        flex-basis: 100%;
        padding-bottom: 20px;
    }

    .texto{
        margin: auto;
        padding: 0%;
        text-align: center;
    }

    .btn{
        position: relative;
        top: 5px;
    }

    div{
        
        flex-basis: 100%;
    }

    .seccion img{
        margin: 10px auto 10px;
    }

    .container{
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        width: 100%;
        height: max-content;
    }

    .parent{
        margin: 10px auto;
    }

    .container-3{
        display: flex;
        margin: auto;
    }

    .tarjetas{
        display: flex;
        flex-direction: column;
    }

    .tarjeta{
        width: auto;
    }

    .footer{
        margin: auto;
        text-align: center;
    }

}


@media all and (max-width:1200px){

    .logo{
        display: none;
    }


    .menu .lista li{

        margin-inline: 7px;
        display: flex;
        }

    .menu .lista-nav ul li a{
        margin: auto;
    }

    .menu .lista-nav{
        margin: auto;
        display: flex;
        justify-content: center;
    }
    
    

    .img-header h1 {
        position: absolute;
        margin: auto;
        top: 200px;
        text-align: center;
    }


    .seccion{
        display: flex;
        flex-direction: column;
        flex-basis: 100%;
        padding-bottom: 20px;
    }

    .texto{
        margin: auto;
        padding: 0%;
        text-align: center;
    }

    .btn{
        position: relative;
        top: 5px;
    }

    div{
        
        flex-basis: 100%;
    }

    .seccion img{
        margin: 10px auto 10px;
    }

    .container{
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        width: 100%;
        height: max-content;
    }

    .parent{
        margin: 10px auto;
    }

    .container-3{
        display: flex;
        margin: auto;
    }

    .tarjetas{
        display: flex;
        flex-direction: column;
    }

    .tarjeta{
        width: auto;
    }

    .footer{
        margin: auto;
        text-align: center;
    }

}











































